Resolved Trying to get runemate going.

Discussion in 'Client & Site Support' started by thatboydroid, May 14, 2016.

  1. Hello!

    Below is a picture of what I have been experiencing for the past day. I download Runemate, click on it to open and it just sits there like it is trying to load. I am on a Mac and i've downloaded the legacy rs client and everything..removed java so it could redownload as a 32bit this and that. I'm just not sure what im doing wrong

    [​IMG]

     
  2. Best Answer:
    Post #9 by Arbiter, May 15, 2016
  3. @Arbiter
     
  4. Open up the latest log file is ~/RuneMate/logs/ and post the contents here.
     
  5. [Debug] RuneMate Version: 2.1.5
    [Debug] Java Version: 8u92 x64 (Oracle Corporation)
    [Debug] Operating System: Mac OS X x64
    java.lang.UnsatisfiedLinkError: Error looking up function 'CFAutorelease': dlsym(0x7fff6d4fc418, CFAutorelease): symbol not found
    at com.sun.jna.Function.<init>(ne:150)
    at com.sun.jna.NativeLibrary.getFunction(ovb:23091)
    at com.sun.jna.NativeLibrary.getFunction(ovb:6463)
    at com.sun.jna.NativeLibrary.getFunction(ovb:11849)
    at com.sun.jna.Native.register(ng:3445)
    at com.runemate.system.osx.CoreFoundation.<clinit>(vn:203)
    at nul.IIIIiIiiiIII.enum(mub:58)
    at nul.IiIIIiiIIiIi.enum(hn:203)
    at nul.IiIIIiiIIiIi.enum(hn:265)
    at nul.IiiIIIiIIiii.enum(cbc:38)
    at nul.IiiIIIiIIiii.true(cbc:31)
    at nul.iIiiiIiiIIII.initialize(ftb:16181)
    at javafx.fxml.FXMLLoader.loadImpl(FXMLLoader.java:2548)
    at javafx.fxml.FXMLLoader.loadImpl(FXMLLoader.java:2441)
    at javafx.fxml.FXMLLoader.load(FXMLLoader.java:2409)
    at nul.IiIiIiiiIiII.enum(hk:111)
    at nul.IiIiIiiiIiII.enum(hk:83)
    at nul.iIiiiIiiIIII.<init>(ftb:93)
    at nul.iIiiiIiiIIII.<init>(ftb:170)
    at nul.IiIIiIiIiiiI.enum(inb:265)
    at nul.iIIIiIiIiIii.enum(bob:1197)
    at nul.iIIIiIiIiIii.call(bob:21105)
    at javafx.concurrent.Task$TaskCallable.call(Task.java:1423)
    at java.util.concurrent.FutureTask.run(FutureTask.java:266)
    at java.lang.Thread.run(Thread.java:745)
    java.lang.NoClassDefFoundError: Could not initialize class com.runemate.system.osx.CoreFoundation
    at nul.IIIIiIiiiIII.enum(mub:58)
    at nul.IiIIIiiIIiIi.enum(hn:203)
    at nul.IiIIIiiIIiIi.enum(hn:265)
    at nul.IiiIIIiIIiii.enum(cbc:38)
    at nul.IiiIIIiIIiii.true(cbc:31)
    at nul.iIiiiIiiIIII.initialize(ftb:16181)
    at javafx.fxml.FXMLLoader.loadImpl(FXMLLoader.java:2548)
    at javafx.fxml.FXMLLoader.loadImpl(FXMLLoader.java:2441)
    at javafx.fxml.FXMLLoader.load(FXMLLoader.java:2409)
    at nul.IiIiIiiiIiII.enum(hk:111)
    at nul.IiIiIiiiIiII.enum(hk:83)
    at nul.iIiiiIiiIIII.<init>(ftb:93)
    at nul.iIiiiIiiIIII.<init>(ftb:170)
    at nul.IiIIiIiIiiiI.enum(inb:265)
    at nul.iIIIiIiIiIii.enum(bob:1197)
    at nul.iIIIiIiIiIii.call(bob:21105)
    at javafx.concurrent.Task$TaskCallable.call(Task.java:1423)
    at java.util.concurrent.FutureTask.run(FutureTask.java:266)
    at java.lang.Thread.run(Thread.java:745)
    java.lang.NoClassDefFoundError: Could not initialize class com.runemate.system.osx.CoreFoundation
    at nul.IIIIiIiiiIII.enum(mub:58)
    at nul.IiIIIiiIIiIi.enum(hn:203)
    at nul.IiIIIiiIIiIi.enum(hn:265)
    at nul.IiiIIIiIIiii.enum(cbc:38)
    at nul.IiiIIIiIIiii.true(cbc:31)
    at nul.iIiiiIiiIIII.initialize(ftb:16181)
    at javafx.fxml.FXMLLoader.loadImpl(FXMLLoader.java:2548)
    at javafx.fxml.FXMLLoader.loadImpl(FXMLLoader.java:2441)
    at javafx.fxml.FXMLLoader.load(FXMLLoader.java:2409)
    at nul.IiIiIiiiIiII.enum(hk:111)
    at nul.IiIiIiiiIiII.enum(hk:83)
    at nul.iIiiiIiiIIII.<init>(ftb:93)
    at nul.IIIIIIiiIIiI.enum(tmb:12900)
    at nul.IiIIiIiIiiiI.enum(inb:265)
    at nul.iIIIiIiIiIii.enum(bob:1197)
    at nul.iIIIiIiIiIii.call(bob:21105)
    at javafx.concurrent.Task$TaskCallable.call(Task.java:1423)
    at java.util.concurrent.FutureTask.run(FutureTask.java:266)
    at java.lang.Thread.run(Thread.java:745)
    Bots refreshed.
     
  6. Perhaps he's using a version of OSX from before that function came into existence...
     
  7. @thatboydroid what version of OS X are you using?


    Sent from my iPhone using Tapatalk
     
  8.  

    Attached Files:

  9. Yeah... no. We're not supporting 10.7 (Lion). That's only 4 versions of OS X old... You should highly consider making the free upgrade, not only for RuneMate, but for your own benefit.
     
    #9 Arbiter, May 15, 2016
    Last edited: May 15, 2016
  10. dope, will do! El capitan here i come! Thanks for the help
     

Share This Page

Loading...